{
  "compilerOptions": {
    "rootDir": "src",
    "outDir": "dist/src",
    "target": "es2020",
    "baseUrl": ".",
    "paths": {
      "@assets/*": ["src/assets/*"],
      "@api/*": ["src/types/__generated__/*"],
      "@components/*": ["src/components/*"],
      "@constants/*": ["src/constants/*"],
      "@containers/*": ["src/containers/*"],
      "@styles/*": ["src/styles/*"],
      "@pages/*": ["src/components/pages/*"],
      "@utils/*": ["src/utils/*"],
    },
    "moduleResolution": "node",
    "esModuleInterop": true,
    "jsx": "react-jsx",
    "jsxImportSource": "@emotion/react",
    "lib": [
      "dom",
      "dom.iterable",
      "esnext"
    ],
    "allowJs": true,
    "skipLibCheck": true,
    "allowSyntheticDefaultImports": true,
    "strict": true,
    "forceConsistentCasingInFileNames": true,
    "noFallthroughCasesInSwitch": true,
    "module": "esnext",
    "resolveJsonModule": true,
    "isolatedModules": true,
    "noEmit": true
  },
  "include": [
    "src"
  ],
}
